Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins
Class BuiltInLibraryManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.BuiltInLibraryManager

    public abstract class BuiltInLibraryManager

extends Object

This class manages the dynamic loading of SWRL built-in libraries and the invocation of built-ins in those libraries. A library is identified by a prefix and this prefix is used to find and dynamically load a Java class implementing the built-ins in this library. For example, the core SWRL built-in library is identified by the prefix swrlb; built-ins in this library can then be referred to in SWRL rules using this profix followed by the built-in name, e.g., swrlb:lessThanOrEqual.

See here for documentation on defining these built-in libraries.

Constructor Summary
`BuiltInLibraryManager()`

Method Summary
`static void` | `invokeAllBuiltInLibrariesResetMethod(SWRLRuleEngineBridge bridge)`
`static boolean` | `invokeSWRLBuiltIn(SWRLRuleEngineBridge bridge, String ruleName, String builtInName, int builtInIndex, boolean isInConsequent, List<BuiltInArgument> arguments)` Invoke a SWRL built-in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuiltInLibraryManager

    public BuiltInLibraryManager()

Method Detail

### invokeSWRLBuiltIn

    public static boolean invokeSWRLBuiltIn(SWRLRuleEngineBridge bridge,
                                            String ruleName,
                                            String builtInName,
                                            int builtInIndex,
                                            boolean isInConsequent,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Invoke a SWRL built-in. This method is called from the invokeSWRLBuiltIn method in the bridge and should not be called directly from a rule engine. The built-in name should be the fully qualified name of the built-in (e.g., http://www.w3.org/2003/11/swrlb#lessThanOrEqual).

  Throws:
    `BuiltInException`

### invokeAllBuiltInLibrariesResetMethod

    public static void invokeAllBuiltInLibrariesResetMethod(SWRLRuleEngineBridge bridge)
                                                     throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.